# Attitudes of Greeks towards second-hand smoke and the anti-tobacco legislations

## Repository structure

Here we provide the survey data together with Matlab/Octave code that allows
an easier handling of the survey responses.

 - The folder *data* contains the survey questions, the available choices for
   each question, along with the participant responses. The responses are
   provided in the CSV files and each row represents one questionnaire. The
   first column holds the questionnaire ID and the subsequent columns hold the
   question responses, in their respective order, with a value of -1 representing
   an empty response. The numbers starting from 1 represent the participant's
   choice for the given question as provided in the *_choices.txt* files. 
    
 - The *matlab_octave_code* folder contains the functionality that is needed in
   order to load the survey data in Matlab or Octave. The functions starting with
   *Plot*, as the name denotes, are used for plotting the correlation between
   different questions. Of course this is not the only analysis that can be
   performed with the data, but it is provided as a representative example.
